WPXTableList Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WPXTableList Class Reference

`#include <WPXTable.h>`

## Public Member Functions
| WPXTableList ()
| WPXTableList (const WPXTableList &)
WPXTableList & | operator= (const WPXTableList &tableList)
virtual | ~WPXTableList ()
WPXTable * | operator[] (unsigned long i)
void | add (WPXTable *table)

## Private Member Functions
void | release ()
void | acquire (int *refCount, std::vector< WPXTable * > *tableList)
int * | getRef () const
std::vector< WPXTable * > * | get () const

## Private Attributes
std::vector< WPXTable * > * | m_tableList
int * | m_refCount

## Constructor & Destructor Documentation

WPXTableList::WPXTableList | ( |  | ) |

WPXTableList::WPXTableList | ( | const WPXTableList & | tableList | ) |

WPXTableList::~WPXTableList | ( |  | ) |
| virtual

## Member Function Documentation

void WPXTableList::acquire | ( | int * | refCount,
|  | std::vector< WPXTable * > * | tableList
| ) |  |
| private

Referenced by operator=().

void WPXTableList::add | ( | WPXTable * | table | ) |
| inline

Referenced by WP6StylesListener::defineTable(), WP3StylesListener::startTable(), WP5StylesListener::startTable(), and WP6StylesListener::startTable().

std::vector<WPXTable *>* WPXTableList::get | ( |  | ) | const
| inlineprivate

Referenced by operator=().

int* WPXTableList::getRef | ( |  | ) | const
| inlineprivate

Referenced by operator=().

WPXTableList & WPXTableList::operator= | ( | const WPXTableList & | tableList | ) |

WPXTable* WPXTableList::operator[] | ( | unsigned long | i | ) |
| inline

void WPXTableList::release | ( |  | ) |
| private

Referenced by operator=(), and ~WPXTableList().

## Member Data Documentation

int* WPXTableList::m_refCount
| private

Referenced by acquire(), getRef(), release(), and WPXTableList().

std::vector<WPXTable *>* WPXTableList::m_tableList
| private

Referenced by acquire(), add(), get(), operator[](), and release().

The documentation for this class was generated from the following files:

- WPXTable.h
- WPXTable.cpp